﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace AutoCompleteCombo
{
    public partial class Form1 : MetroForm
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Create a DataTable.   
            DataTable dt = new DataTable("Table1");  
            // Adding Columns. 
            dt.Columns.Add("FirstName"); 
            dt.Columns.Add("LastName");
            dt.Columns.Add("occupation"); 
            dt.Columns.Add("place");

            // Create a Data Set. 
            DataSet ds = new DataSet(); 
            ds.Tables.Add(dt); 
            dt.Rows.Add(new string[] { "John", "Tina", "Doctor", "Italy" });
            dt.Rows.Add(new string[] { "Mary", "anu", "Teacher", "America" }); 
            dt.Rows.Add(new string[] { "asha", "roy", "Staff", "London" }); 
            dt.Rows.Add(new string[] { "George", "Gaskin", "Nurse", "germany" }); 
            dt.Rows.Add(new string[] { "sam", "jens", "Engineer", "Russia" }); 
            dt.Rows.Add(new string[] { "Ben", "Geo", "Developer", "India" });



            this.autoComplete1.DataSource = dt;
            this.autoComplete1.ShowColumnHeader = true;
            this.autoComplete1.RefreshColumns();
            //To display the Fourth column in TextBoxtExt
            this.autoComplete1.Columns[3].MatchingColumn = true;
        
            this.autoComplete1.SetAutoComplete(this.textBoxExt1, Syncfusion.Windows.Forms.Tools.AutoCompleteModes.AutoSuggest);
        }
    }
}
